## manuel 1.12.4

=== Makefile ===
SHELL := bash
.SHELLFLAGS := -eux -o pipefail -c
.DEFAULT_GOAL := build
.DELETE_ON_ERROR:  # If a recipe to build a file exits with an error, delete the file.
.SUFFIXES:  # Remove the default suffixes which are for compiling C projects.
.NOTPARALLEL:  # Disable use of parallel subprocesses.
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --no-builtin-rules


export COLUMNS ?= 70
seperator ?= $(shell printf %${COLUMNS}s | tr " " "═")

platform := $(shell python -c 'import sys; print(sys.platform)')

PYTHON_VERSION ?= 3

export PIP_DISABLE_PIP_VERSION_CHECK=1
pip-install := ve/bin/pip --no-input install --constraint constraints.txt
pip-check := ve/bin/pip show -q

source_code := src

isort := ve/bin/isort --multi-line=VERTICAL_HANGING_INDENT --trailing-comma --no-sections 

########################################################################################
# Build targets
#
# It is acceptable for other targets to implicitly depend on these targets having been
# run.  I.e., it is ok if "make lint" generates an error before "make" has been run.

.PHONY: build
build: ve development-utilities

ve:
	python$(PYTHON_VERSION) -m venv ve

ve/bin/genbadge:
	$(pip-install) genbadge[coverage]

ve/bin/%:
	# Install development utility "$*"
	$(pip-install) $*

# Utilities we use during development.
.PHONY: development-utilities
development-utilities: ve/bin/black
development-utilities: ve/bin/coverage
development-utilities: ve/bin/flake8
development-utilities: ve/bin/genbadge
development-utilities: ve/bin/isort
development-utilities: ve/bin/mypy
development-utilities: ve/bin/pydocstyle
development-utilities: ve/bin/pyinstaller
development-utilities: ve/bin/pylint
development-utilities: ve/bin/twine
development-utilities: ve/bin/wheel

########################################################################################
# Distribution targets

.PHONY: assert-one-dist
assert-one-dist:
	@if [ $$(find dist -name 'manuel-*.tar.gz' | wc -l) != 1 ]; then \
	    echo There must be one and only one distribution file present.; \
	    exit 1; \
	fi

.PHONY: assert-no-unreleased-changes
assert-no-unreleased-changes:
	@if grep unreleased CHANGES.rst > /dev/null; then \
	    echo There must not be any unreleased changes in CHANGES.rst.; \
	    exit 1; \
	fi

.PHONY: assert-version-in-changelog
assert-version-in-changelog:
	@if ! grep $$(ve/bin/python setup.py --version) CHANGES.rst; then \
	    echo The current version number must be mentioned in CHANGES.rst.; \
	    exit 1; \
	fi

.PHONY: assert-matching-versions
assert-matching-versions:
	# verify that the top-most version in the change log matches what is in setup.py
	@env \
	    CHANGE_LOG_VERSION=$$(grep '^[^ ]\+ (20\d\d-\d\d-\d\d)' CHANGES.rst | head -n 1 | cut -d' ' -f1) \
	    SETUP_VERSION=$$(ve/bin/python setup.py --version) \
	    bash -c 'test $$CHANGE_LOG_VERSION = $$SETUP_VERSION'

.PHONY: assert-no-changes
assert-no-changes:
	@if ! output=$$(git status --porcelain) || [ -n "$$output" ]; then \
	    echo There must not be any ucomitted changes.; \
	    exit 1; \
	fi

.PHONY: dist
dist:
	ve/bin/python setup.py sdist

.PHONY: test-dist
test-dist:
	# check to see if the distribution passes the tests
	rm -rf tmp
	mkdir tmp
	tar xzvf $$(find dist -name 'manuel-*.tar.gz') -C tmp
	cd tmp/manuel-* && make && make check
	rm -rf tmp

.PHONY: upload
upload: assert-one-dist
	ve/bin/twine upload --repository manuel $$(find dist -name 'manuel-*.tar.gz')

.PHONY: badges
badges:
	ve/bin/python bin/genbadge coverage -i coverage.xml -o badges/coverage-badge.svg

.PHONY: release
ifeq '$(shell git rev-parse --abbrev-ref HEAD)' 'master'
release: clean-dist assert-no-unreleased-changes assert-matching-versions \
    assert-version-in-changelog badges dist assert-one-dist test-dist \
    assert-no-changes upload
	# now that a release has happened, tag the current HEAD as that release
	git tag $$(ve/bin/python setup.py --version)
	git push origin
	git push origin --tags
else
release:
	@echo Error: must be on master branch to do a release.; exit 1
endif

########################################################################################
# Test and lint targets

.PHONY: pylint
pylint:
	ve/bin/pylint $(source_code) --output-format=colorized

.PHONY: flake8
flake8:
	ve/bin/flake8 $(source_code)

.PHONY: pydocstyle
pydocstyle:
	ve/bin/pydocstyle $(source_code)

.PHONY: mypy
mypy:
	ve/bin/mypy $(source_code) --strict

.PHONY: black-check
black-check:
	ve/bin/black -S $(source_code) --check

.PHONY: isort-check
isort-check:
	$(isort) $(source_code) --diff --check

.PHONY: lint
lint: black-check isort-check

.PHONY: test
test:
	ve/bin/python setup.py test

.PHONY: coverage
coverage:
	ve/bin/coverage run --branch setup.py test
	ve/bin/coverage xml  # the XML output file is used by the "badges" target
	PYTHONWARNINGS=ignore ve/bin/coverage report --ignore-errors --fail-under=97 --show-missing --skip-empty

.PHONY: check
check: test lint coverage

########################################################################################
# Sorce code formatting targets

.PHONY: black
black:
	ve/bin/black -S $(source_code)

.PHONY: isort
isort:
	$(isort) $(source_code)

########################################################################################
# Cleanup targets

.PHONY: clean-%
clean-%:
	rm -rf $*

.PHONY: clean-pycache
clean-pycache:
	find . -name __pycache__ -delete

.PHONY: clean
clean: clean-ve clean-pycache clean-dist

## manuel 1.8.0

=== debian/changelog ===
manuel (1.8.0-4) unstable; urgency=medium

  [ Daniel Stender ]
  * removed deb/tests/tests.

  [ Barry Warsaw ]
  * d/patches/disable-tests-requires.patch: Added to workaround an issue
    where Python will still try to download tests_requires from PyPI.

 -- Daniel Stender <debian@danielstender.com>  Tue, 03 Nov 2015 03:32:57 +0100

manuel (1.8.0-3) unstable; urgency=medium

  * deb/copyright: updated.
  * Added docs-no-updated-timestamp.diff (closes: #788941).
  * Added DEP-8 test suite.

 -- Daniel Stender <debian@danielstender.com>  Mon, 29 Jun 2015 07:52:38 +0200

manuel (1.8.0-2) unstable; urgency=low

  * Added Zope license for bootstrap.py to debian/copyright.
  * Added myself to uploaders.
  * Still initial release (Closes: #776871).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 13 Jun 2015 22:37:40 +0000

manuel (1.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #776871).

 -- Daniel Stender <debian@danielstender.com>  Wed, 29 Apr 2015 10:09:04 +0200

=== debian/control ===
Source: manuel
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 W. Martin Borgert <debacle@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-six,
 python-sphinx (>= 1.0.7+dfsg-1~),
 python-zope.testing,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-zope.testing
Standards-Version: 3.9.6
Homepage: http://pythonhosted.org//manuel/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/manuel.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/manuel.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest

Package: python-manuel
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Description: Python library for testable documents and documented tests
 Manuel is a Python library for writing tested documentation which
 makes it possible to mix traditional doctests with custom test syntax.
 Several plug-ins providing different test features are included, but
 Manuel is also open to create custom plugins. Currently, unittests and
 zope.testing are the supported test runners.
 .
 This package contains the modules for Python.

Package: python3-manuel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: Python3 library for testable documents and documented tests
 Manuel is a Python library for writing tested documentation which
 makes it possible to mix traditional doctests with custom test syntax.
 Several plug-ins providing different test features are included, but
 Manuel is also open to create custom plugins. Currently, unittests and
 zope.testing are the supported test runners.
 .
 This package contains the modules for Python3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=manuel

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python*-manuel/usr/lib/python*/dist-packages/manuel/*.txt
	rm -f debian/python*-manuel/usr/lib/python*/dist-packages/manuel/tests.py
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
	sphinx-build -N -bhtml -c sphinx src/manuel debian/python-manuel/usr/share/doc/python-manuel/html && \
	sphinx-build -N -bhtml -c sphinx src/manuel debian/python3-manuel/usr/share/doc/python3-manuel/html
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/tests/control ===
Tests: python-manuel
Depends: python-all, python-setuptools, python-six, python-zope.testing

Tests: python3-manuel
Depends: python3-all, python3-setuptools, python3-six, python3-zope.testing

## manuel 1.9.0

=== debian/changelog ===
manuel (1.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ James Valleroy ]
  * Convert from git-dpm to patches unapplied format
  * d/control: Add myself to uploaders
  * Patch doctests to support python3.7 (Closes: #903524)
  * debian/compat: Bump compat level to 11
  * debian/control: Bump Standards-Version to 4.1.5
  * debian/control: Add build-depend on python3-sphinx
  * New upstream version 1.9.0
  * debian/control: Slightly tweak homepage URL
  * debian/control: Bump Standards-Version to 4.2.0

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Aug 2018 19:06:24 -0400

manuel (1.8.0-5) unstable; urgency=medium

  * Team upload.

  [ Barry Warsaw ]
  * Now that dh-python and zope.testing have been fixed, the patch for
    setup.py is no longer necessary.

  [ Daniel Stender |
  * deb/control:
    + put team into Maintainer field (unconfirmed team uploads).
    + removed myself from Maintainer.
    + dropped Testsuite field (deprecated).
    + bumped standards to 3.9.8 (no changes needed).
  * deb/copyright:
    + corrected a typo.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Daniel Stender <stender@debian.org>  Thu, 30 Jun 2016 19:37:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: manuel
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- W. Martin Borgert <debacle@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.6.6-3~),
  python-setuptools,
@@ -16,14 +14,12 @@
  python3-all,
  python3-setuptools,
  python3-six,
+ python3-sphinx (>= 1.0.7+dfsg-1~),
  python3-zope.testing
-Standards-Version: 3.9.6
-Homepage: http://pythonhosted.org//manuel/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/manuel.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/manuel.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Testsuite: autopkgtest
+Standards-Version: 4.2.0
+Homepage: https://pythonhosted.org/manuel/
+Vcs-Git: https://salsa.debian.org/python-team/modules/manuel.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/manuel
 
 Package: python-manuel
 Architecture: all

## manuel 1.10.1

=== debian/changelog ===
manuel (1.10.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 21:13:59 +0500

manuel (1.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ James Valleroy ]
  * d/control: Standards-Version is 4.2.1 now (no changes needed)
  * New upstream version 1.10.1
  * Drop patch 0002-Update-doctests-to-support-python3.7, applied upstream
  * d/control: Drop obsolete version restrictions for build-depends
  * d/rules: List sphinx calls in separate lines
  * d/control: Set Rules-Requires-Root to no
  * d/control: Standards-Version is 4.3.0 now (no changes needed)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 30 Dec 2018 13:09:35 -0500

=== debian/control ===
Source: manuel
Section: python
Priority: optional
Rules-Requires-Root: no
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-zope.testing
Standards-Version: 4.4.0
Homepage: https://pythonhosted.org/manuel/
Vcs-Git: https://salsa.debian.org/python-team/modules/manuel.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/manuel

Package: python3-manuel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: Python3 library for testable documents and documented tests
 Manuel is a Python library for writing tested documentation which
 makes it possible to mix traditional doctests with custom test syntax.
 Several plug-ins providing different test features are included, but
 Manuel is also open to create custom plugins. Currently, unittests and
 zope.testing are the supported test runners.
 .
 This package contains the modules for Python3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=manuel

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python*-manuel/usr/lib/python*/dist-packages/manuel/*.txt
	rm -f debian/python*-manuel/usr/lib/python*/dist-packages/manuel/tests.py
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
	python3 -m sphinx -N -bhtml -c sphinx src/manuel debian/python3-manuel/usr/share/doc/python3-manuel/html
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## manuel 1.12.4

=== debian/changelog ===
manuel (1.12.4-2) unstable; urgency=medium

  * Handle test output change on python3.11 (Closes: #1024956)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 02 Dec 2022 15:15:39 -0500

manuel (1.12.4-1) unstable; urgency=medium

  [ Carl Suster ]
  * d/watch: switch to version 4 and track tags rather than the empty releases.

  [ James Valleroy ]
  * Test only supported python versions
  * Set Standards-Version to 4.6.1
  * Add my copyright years
  * New upstream version 1.12.4
  * Build-depend on python3-myst-parser
  * Build-depend on python3-sphinx-copybutton
  * Drop removed file from d/copyright
  * Update upstream copyright years
  * gbp: Enable pristine-tar and sign-tags

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 07 Oct 2022 09:29:43 -0400

manuel (1.10.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 01:12:28 +0100

manuel (1.10.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Tue, 03 May 2022 23:45:28 -0400

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-myst-parser,
  python3-setuptools,
  python3-six,
  python3-sphinx,
+ python3-sphinx-copybutton,
  python3-zope.testing
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Homepage: https://pythonhosted.org/manuel/
-Vcs-Git: https://salsa.debian.org/python-team/modules/manuel.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/manuel
+Vcs-Git: https://salsa.debian.org/python-team/packages/manuel.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/manuel
 
 Package: python3-manuel
 Architecture: all

=== debian/tests/control ===
Tests: python3-manuel
Depends: python3-all, python3-setuptools, python3-six, python3-zope.testing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
   https://github.com/benji-york/manuel/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
# better than Pypi tarball (contains complete prebuild documentation)

## manuel 1.13.0

=== debian/changelog ===
manuel (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * Remove python3-six from Build-Depends: & autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 15:49:26 +0100

manuel (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 13:53:55 +0000

manuel (1.12.4-4) unstable; urgency=medium

  * Team upload.
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083474)
  * Fix SyntaxWarning (Closes: #1085684)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Oct 2024 17:37:51 +0200

manuel (1.12.4-3) unstable; urgency=medium

  * Team upload.
  * Fix build following the removal of "setup.py test" (closes: #1080116).
  * Don't rely on "setup.py test" in autopkgtest (closes: #1079748).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Sep 2024 13:45:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-myst-parser,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-copybutton,
  python3-zope.testing
@@ -31,5 +31,3 @@
  Several plug-ins providing different test features are included, but
  Manuel is also open to create custom plugins. Currently, unittests and
  zope.testing are the supported test runners.
- .
- This package contains the modules for Python3.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,11 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=manuel
+export PYBUILD_TEST_CUSTOM=1
+export PYBUILD_TEST_ARGS={interpreter} -m unittest -v manuel.tests.test_suite
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: python3-manuel
Depends: python3-all, python3-setuptools, python3-zope.testing
